//
// pdb2vrml
//
// Copyright 2001 by Vieri Di Paola.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems to "gnubioq@yahoo.com".
//


#ifndef MOLINFO_H
#define MOLINFO_H

#include "AtomInfo.h"
#include "MolInfo.h"
#include <fstream>
#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <zlib.h>

class MolInfo {

private:

  friend class pdb2vrml;
  MolInfo(void);
  ~MolInfo(void);

  void setpdb(const char*);
  void setvrml(const char*, const char*);
  unsigned int TotAtoms;
  int done;
  float MaxX,MaxY,MaxZ,MinX,MinY;
  unsigned int getTotAtoms(void);
  
  AtomInfo *AtomList;
  int initAtomList(int);
  int getAtomList(void);
//  int getAtomList(int);
  
  void getAtomBonds(void);
  
  gzFile vrmlfile;
  
  int status;
  
  gzFile pdbfile;
  void getCONECTbonds(unsigned char, char*, char*, int, int, int);
  
};

#endif

